.\" Copyright (c) 1980, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)from.1	8.2 (Berkeley) 12/30/93
.\"
.Dd December 30, 1993
.Dt FROM 1
.Os BSD 4
.Sh NAME
.Nm from
.Nd print names of those who have sent mail
.Sh SYNOPSIS
.Nm from
.Op Fl s Ar sender
.Op Fl f Ar file
.Op Ar user
.Sh DESCRIPTION
.Nm From
prints
out the mail header lines from the invoker's mailbox.
.Pp
Options:
.Bl -tag -width Fl
.It Fl f Ar file 
The supplied file
is examined instead of the invoker's mailbox.
If the
.Fl f
option is used, the
.Ar user
argument should not be used.
Read from standard input if file name 
.Ar - 
is given.
.It Fl s Ar sender 
Only mail from addresses containing
the
supplied string are printed.
.El
.Pp
If
.Ar user
is given, the
.Ar user Ns 's
mailbox, is examined instead of the invoker's own mailbox.
(Privileges are required.)
.Sh ENVIRONMENT
.Bl -tag -width Fl
.It Ev MAIL
If set, the location of the invoker's mailbox.  Otherwise, the default
in /var/mail is used.
.Sh FILES
.Bl -tag -width /var/mail/* -compact
.It Pa /var/mail/*
.El
.Sh SEE ALSO
.Xr biff 1 ,
.Xr mail 1
.Sh HISTORY
The
.Nm from
command appeared in
.Bx 3.0 .
